Font-Awesome LESS gem for use in Ruby on Rails projects
CSS Ruby
Latest commit d47400e Oct 24, 2016 @supercodepoet supercodepoet committed on GitHub Merge pull request #15 from FortAwesome/4.7.0-wip
Upgrading to Font Awesome 4.7.0

README.md

FontAwesome::Less

Gem Version

'font-awesome-less' is a Less-powered version of FontAwesome for your Ruby projects and plays nicely with Ruby on Rails, Sprockets, etc.

Installation

Please see the appropriate guide for your environment of choice:

a. Ruby on Rails

In your Gemfile include:

gem 'font-awesome-less', '~> 4.7.0'

And then execute:

bundle install

Import the FontAwesome styles in your app/assets/stylesheets/application.css.less. The font-awesome-sprockets file includes the overrides for Rails helpers.

@import "font-awesome-sprockets";
@import "font-awesome";

Rails Helper usage

In your view:

icon('flag')
# => <i class="fa fa-flag"></i>
icon('flag', '', class: 'strong')
# => <i class="fa fa-flag strong"></i>
icon('flag', 'Font Awesome', id: 'my-icon', class: 'strong')
# => <i id="my-icon" class="fa fa-flag strong"></i> Font Awesome

Note: the icon helper can take a hash of options that will be passed to the content_tag helper

b. Regular without Rails

Install the gem

gem install font-awesome-less

If you have an existing Ruby project:

require 'font-awesome-less'

Import the FontAwesome styles

@import "font-awesome-regular";
@import "font-awesome";

Upgrading from FontAwesome::Less 3.x

Prepend the fa class to existing icons:

3.x Syntax

<i class="icon-github"></i>

4.x Syntax

<i class="fa fa-github"></i>